POST /v1/time-accounts/{accountId}/transactions POST /v1/time-accounts/{accountId}/transactions
CodeMeta OS API endpoint.
Datenmodell
Diese Operation arbeitet auf der Entität Time Account (time_account). Alle 14 Felder — Typ, Validierung, Pflichtangabe, Beziehungen — stehen in der Schema-Referenz .
Request Body
Name Typ Beschreibung dateerforderlich stringtypeerforderlich stringminuteserforderlich integersourceTypeerforderlich stringreasonerforderlich stringapprovedBystring
Pfad-Parameter
Name Typ Beschreibung accountIderforderlich string
Beispiel
curl -X POST https://api.codemeta-os.de/v1/time-accounts/{accountId}/transactions \
-H "X-Tenant-Id: $TENANT " \
-H "Content-Type: application/json" \
-b cookies.txt \
-d '{
"date": "string",
"type": "CREDIT",
"minutes": 0,
"sourceType": "MANUAL",
"reason": "string",
"approvedBy": "string"
}' const result = await cm.time - accounts. post ({
"date" : "string" ,
"type" : "CREDIT" ,
"minutes" : 0 ,
"sourceType" : "MANUAL" ,
"reason" : "string" ,
"approvedBy" : "string"
});
Antwortcodes
HTTP
Bedeutung
200
Default Response
Beschreibung folgt
Diese Operation hat noch keine kuratierte Annotation. Der Inhalt wird beim nächsten Doku-Update ergänzt.